#include "FastLED.h"

unsigned long  previousMillis1;
unsigned long  previousMillis2;
unsigned long currentMillis;

long interval1 = 100;

int color_spacing;
int color1;
int saturation1;
int led_count;

// How many leds are in the strip?
#define NUM_LEDS 12

// LED data pin
#define DATA_PIN 3

// led value array. Just copy this one
CRGB leds[NUM_LEDS];


void setup() {
  Serial.begin(9600);

  color_spacing = 255 / NUM_LEDS;

  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS); //setus up the led type. There are tons of sliglty differnt versions but for the calls we'll just copy this line
}

void loop() {

  currentMillis = millis();

  if (currentMillis - previousMillis1 > interval1) {
    previousMillis1 = currentMillis;

    led_count++;
    if (led_count > NUM_LEDS - 1) {
      led_count = 0;
      color1= random(255);
    }

    for (int j = 0; j < NUM_LEDS; j++) {
      leds[j] = CRGB::Black; //turn all the pixels off
      //https://github.com/FastLED/FastLED/wiki/Pixel-reference#predefined-colors-list lots of crayon names

      //leds[led_count].setHSV( 40 , 128 , 0); // same way of doing it hue and sat wouldn't matter as value is all the way off
    }


    saturation1 = led_count * color_spacing;

    leds[led_count].setHSV(color1 , saturation1, 80);

    // https://github.com/FastLED/FastLED/wiki/Pixel-reference
    //hue(0=green then 0-255 through the spectrum and back to 255=green
    //saturation(0=white,255=full color),
    //value (brightness from 0=off to 255=way too bright)


    // Update all the leds (only one of which is on)
    FastLED.show();

  }


}
