#include "FastLED.h"

unsigned long  previousMillis1;
unsigned long currentMillis;

long interval1 = 20;

int pot0, pot0m;
int color_spacing;
int color1;
int color2;

int led_count;
int color_count1;
int color_count2;

int gradient1;
int gradient2;

// How many leds are in the strip?
#define NUM_LEDS 12

// LED data pin
#define DATA_PIN 3

// led value array. Just copy this one
CRGB leds[NUM_LEDS];


void setup() {
  Serial.begin(9600);

  color_spacing = (255 / NUM_LEDS) / 2;

  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS); //setus up the led type. There are tons of sliglty differnt versions but for the calls we'll just copy this line
}

void loop() {

  currentMillis = millis();

  pot0 = analogRead(A0);
  pot0m = map(pot0, 0, 1023, 0, NUM_LEDS - 1);

  if (currentMillis - previousMillis1 > interval1) {
    previousMillis1 = currentMillis;

    color_count1 ++;
    if (color_count1 > 255) {
      color_count1 = 0;
    }

    for (int j = 0; j < NUM_LEDS; j ++) {
      gradient1 = color_count1 + j  * color_spacing;
      if (gradient1 > 255) {
        gradient1 -= 255;
      }

      leds[j].setHSV(gradient1 , 255, 80);

    }

    // Update the leds (only one of which is on)
    FastLED.show();



  }


}
